import { formatearFechaHora } from "@/feature/messenger/utils/DateFormat"
import TypeMessage from "./TypeMessage"
import ReSendMessage from "./ReSendMessage"
import { getNameBySocial } from "@/feature/messenger/utils/TransFormName";

const RepliesMessage = ({ item }: any) => {

    const nameUser = getNameBySocial(item.nombre, item.sesion, item.rsocial);

    return (
        <div className="flex items-start justify-end mb-4">
            <div className="flex-grow text-right">
                <p className="text-sm font-medium text-gray-900 mb-1 dark:text-white">{item.quien_ejecuta_proceso === 'usuario' ? nameUser : item.quien_ejecuta_proceso}</p>
                <div className="bg-indigo-500 rounded-lg px-6 pb-2 pt-4 max-w-prose w-fit inline-block shadow-sm relative">
                    <ReSendMessage message={item} />
                    <TypeMessage tipomensaje={item.tipomensaje} conversacion={item.conversacion} typeUser={item.quien_ejecuta_proceso} message={item} />
                    <p className="text-xs text-white mt-1 min-w-fit">{item.fecha_sistema}</p>
                </div>
            </div>
            <div className="flex-shrink-0 ml-3">
                <div className="w-10 h-10 rounded-full bg-indigo-500 flex items-center justify-center">
                    <svg className="w-6 h-6 text-white" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                        <path d="M8 10h.01M12 10h.01M16 10h.01M9 16H5a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v8a2 2 0 01-2 2h-5l-5 5v-5z"></path>
                    </svg>
                </div>
            </div>
        </div>
    )
}

export default RepliesMessage